function Y = rcumsum(X)

% Returns the cumulated sum of X from bottom to top (reversed order
% compared to cumsum, emulate the `reverse` option).
%
% INPUTS
% - X      [double]      T×N array
%
% OUTPUTS
% - Y      [double]      T×N array

% Copyright © 2019-2026 Dynare Team
%
% This file is part of Dynare.
%
% Dynare is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% Dynare is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Dynare.  If not, see <https://www.gnu.org/licenses/>.

if isoctave && octave_ver_less_than('11')
    Y = flipud(cumsum(flipud(X)));
else
    Y = cumsum(X, 'reverse');
end
